<?php 
/**
* cargacampos.php
*
* cargacampos.php se incorpora en la carpeta raiz en tanto define funcinoes comunes.
* 
* @package    	TReCC(tm) Gestor Masivo de Datos Acsticos.
* @subpackage 	gestin de series de mediciones masivas en transporte pblico
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm) y TReCC(tm) intraTReCC.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/




/**
* linpia nombre de archivo
*
* variables globales de entrada
* @var string $Largo nombre solicitado para el documento
* @return string nombre restrinjido para el documento

*/
function cadenaArchivo( $Largo ) {
	$habilitados = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";	

	$largobase = strlen( $habilitados );
	$resultado='';
	for( $i = 0; $i < $Largo; $i++ ) {
		$resultado .= $habilitados[ rand( 0, $largobase - 1 ) ];
	}

	return $resultado;
}



/**
FUNCION OBSOLETA
*/
function cargamasiva(){
}	



/**
* carga datos resultados de medicion
*
* variables globales de entrada
* @var string $nombre ruta del documento de origen.
* @var integer $Id id de la serie a la que se le asignarn los datos obtenidos
* @global resource $Conet1 conexin myslq activa
* @return no

*/
function procesardatostxt($Id,$nombre){
	global $Conec1;		
	$contenido = file_get_contents("./$nombre");
	
	$fila = preg_split("/\\r\\n|\\r|\\n/",$contenido);
	//$fila = explode("\n",$contenido);
	//echo count($fila);
	//echo "<pre>";print_r($fila);echo "</pre>";
	$registroscargados=0;	
	$nfila=0;
	foreach($fila as $contenidofila){//prcesa ca uno de los renglones (filas) del cdocumento
		$nfila++;
		//echo $nfila."<br>";
		$celda = explode("\t",$contenidofila);		
				
		//echo "<tr>";
		//echo "<td>".$nfila."</td>";
		//echo "<td>".$celda[0]."</td>";
		
		if($celda[0]=="OverallData"){//titulo, primera fila
			$tipofila ='titulo1';
		}elseif($celda[0]=="SerialNumber"){//campos generales
			$tipofila ='camposreg';
		}elseif($tipofila=='camposreg'){//valores generales
			$tipofila ='valoresreg';
		}elseif($tipofila=='valoresreg'&&$celda[0]==""){//separador en blanco
			$tipofila ='separador';
		}elseif($celda[0]=="Data"){//titulo, datos
			$tipofila ='titulo2';
		}elseif($celda[0]=="Date_Hour"){//campos, datos
			$tipofila ='camposdatos';
		}else{//valores, datos
			$tipofila ='valoresdatos';
		}
		//echo $tipofila.$celda[0]."<br>";
		
		if($tipofila=='titulo1'||$tipofila=='titulo2'||$tipofila=='separador'){
			
		}elseif($tipofila=='camposreg'){
			foreach($celda as $contenidocelda){
				$REG['campos'][]=$contenidocelda;
			}
		}elseif($tipofila=='valoresreg'){
			foreach($celda as $contenidocelda){
				$REG['valores'][]=$contenidocelda;
			}
		}elseif($tipofila=='camposdatos'){
			$col=0;
			foreach($celda as $contenidocelda){
				$col++;
				$VAL['campos'][$col]=$contenidocelda;
			}
		}elseif($tipofila=='valoresdatos'){
			$col=0;
			foreach($celda as $contenidocelda){
				$col++;
				$VAL['valores'][$nfila][$col]=$contenidocelda;
			}
		}
		
				
	}
	
	//echo $contenido;


	//echo "<pre>";print_r($VAL);echo "</pre>";		
	//echo "<pre>";print_r($REG);echo "</pre>";
	$sets='';
	echo count($REG['campos']);
	foreach($REG['campos'] as $key =>$campo){//crea registro del registro de la serie
		
		if($campo=='Start'||$campo=='End'){
			$e = explode(" ",$REG['valores'][$key]);
			$v = str_replace("/", "-", $e[0]);
			$valor = ordencastellano($v)." ".$e[1];
		}else{
			$valor = $REG['valores'][$key];			
		}

		if($campo=='Mode'){
			$MODOMEDICION = $valor;
		}
		
		if($campo!=''){
		$sets.="`$campo`='$valor', ";
		}
	}
	unset($REG);
	
	$regnum=substr($nombre,-11,3);
	
	$sets.="registromedicion='$regnum'";
	
	//$sets=substr($sets,0,-2);
	
	$query = "SELECT * FROM REGregistros WHERE FI_txt = '$nombre' AND zz_borrada!=1";
	$consultacoinc=mysql_query($query, $Conec1);
	$coincidencias= mysql_numrows($consultacoinc);
	if($coincidencias>0){
		echo "archivo registrado previamente. No ser cargado, Recomendamos revisar registro.: $nombre. $files <br>";
	}else{
			
			
	$query="UPDATE REGregistros SET $sets WHERE id='$Id'";
	
	mysql_query($query, $Conec1);
	if(mysql_error($Conec1)==''){
		echo "serie actualizada (id: $Id)<br>";
	}else{
		echo mysql_error($Conec1)." ". $query;$Id='';
	}
	
	
						
	//echo "<pre>";print_r($VAL);echo " </pre>";
	
	$sets='';
	//echo $sets;
	
		$fechacarga='';
		
		if($Id!=''&&$MODOMEDICION=='Spectrum Analyzer'){
		$registroscargados++;	
			foreach($VAL['valores'] as $keyval =>$valoresreg){
				$sets='';
				
				
				foreach($valoresreg as $keycol =>$valorcrudo){
					if($VAL['campos'][$keycol]=='Date_Hour'){
						$fechacarga=$valorcrudo;
						
						$e = explode(" ",$valorcrudo);
						$v = str_replace("/", "-", $e[0]);
						$valor = ordencastellano($v)." ".$e[1];
						$datehour=$valor;
						
					}else{
						$valor = $valorcrudo;			
					}
							
					if($VAL['campos'][$keycol]!=''){							
						$sets .= "`".$VAL['campos'][$keycol]."`='$valor', ";
					}
					
					
				}	
				//echo $sets."<br>";
				
				if($fechacarga!=""&&$sets!=""){
					//echo "Insertando $sets";
					
					
					$sets .= "`id_p_REGregistros`='$Id'";
					
					$query="INSERT INTO REGregistrosbandas SET $sets";
					mysql_query($query, $Conec1);
					echo mysql_error($Conec1);
					if(mysql_error($Conec1)==''){$regs++;echo "registro creado ($regs)<br>";}else{echo mysql_error($Conec1)." ". $datehour;}
					echo "inseta!";
					
					$sets='';
					
				}
				//echo $sets;
				//echo $query;
			}
			
		}else{
			echo "Modo de medicin o formato de la informacin no reconocido. Este archivo no ser guardado: $files  <br>modo: $MODOMEDICION";
		}		
		
	}
		
	
}
	
?>