<?php 
/**
* muestratemporales.php
*
* muestratemporales.php se incorpora en la carpeta raiz un punto de interfaz bsico del mdulo.
*  especficamente permite gestionar lao registros de fuentes temporales.
* 
* @package    	TReCC(tm) Gestor Masivo de Datos Acsticos.
* @subpackage 	gestin de series de mediciones masivas en transporte pblico
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm) y TReCC(tm) intraTReCC.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/
include ('./includes/encabezado.php');
ini_set('memory_limit', '1024M');	
?>
<head>
	<?php /*include ('./includes/meta.php'); */?>
	<title>Mediciones de ruido</title>
	<link rel="stylesheet" type="text/css" href="css/general.css">
	<link rel="stylesheet" type="text/css" href="css/comando.css">
	<link rel="stylesheet" type="text/css" href="css/tipos.css">
	
	<style type=text/css>
		body{
			font-family:arial;
			font-size:14px;
		}
	
		a{
			text-decoration:none;
		}
	
		h2, h3, h4, h5{
			margin-top:2px;
			margin-bottom:1px;
		}
		
		h4 >{
			font-size:11px;	
		}		
		
		h4 > a{
			font-size:9px;	
		}
		
		table,th,td
		{
			empty-cells:show;
			border:1px solid black;
			border-collapse:collapse;
			font-size:10px;
			text-align:center;
		}
		
		table{
			width: 800px;
			margin-bottom:10px;
		}
		
		th{
			font-size:12px;
			font-weight:bold;			
		}
		
		.t1{
			background-color:#bbb;
		}
		.t2{
			background-color:#bbb;
		}
		.t3{
			background-color:#ddd;
		}
		.t4{
			background-color:#eee;
		}
		.t5{
			background-color:#eee;
		}		
		.par{
			background-color:#ffd;
		}
		.impar{
			background-color:#fff;
		}
		
		.registro{
			border:1px solid #000;
			width:800px;
			height:186px;
			position:relative;
		}
		
		
		.contienelinea{
			position:absolute;
			right:20px;
			top:20px;
			height:30px;
			width:500px;
			border:1px solid gray;
		}		
		.linea{
			position:absolute;
			height:6px;
			top:12px;
		}
		
		.aclaracion{
			position:absolute;
			right: 0;
   			top: 161px;
			font-size:10px;
			background-color:#888;
		}
		
		.alta{
			opacity:0.5;
			top:0px;
			height:12px;
		}
		.baja{
			opacity:0.5;
			top:18px;
			height:12px;
		}		
		
		.divisor{
			border-left:1px gray solid;
			position:absolute;
			top:20px;
			height:10px;
			font-size:8px;
			font-weight:bold;
			z-index:2;
		}
		
		.r1{
			background-color:green;
		}
		.r2{
			background-color:orange;
		}
		.r3{
			background-color:red;
		}
		.r4{
			background-color:#4B088A;
		}
		
		.alerta{
			background-color:#FF1919;
		}
		
		.alertamedia{
			background-color:yellow;
		}	
		
		.etiqueta{
			font-weight:normal;
			font-size:11px;
		}
		
		.numero{
			display:block;
			position:absolute;
			bottom:3px;
			right:3px;
			font-size:10px;
		}
		
		.etiquetatiempo{
			position:absolute;
			top:-15px;
			left:0px;
			font-size:11px;
			background-color:#ccc;
			height:11px;
			line-height:11px;
			overflow:hidden;
		}
		
		.editorsonido{
			position:absolute;
			left:520px;
			font-size:9px;
			background-color:lightblue;
			height:10px;
			border:1px solid blue;
			overflow:hidden;
		}
		
		.editorrelevamiento{
			position:absolute;
			left:800px;
			font-size:15px;
			background-color:lightblue;
			height:20px;
			border:2px solid blue;
			overflow:hidden;
		}
		
		.editorcaracteristicas{
			position:absolute;
			left:180px;
			top:143px;
			font-size:10px;
			background-color:lightblue;
			height:10px;
			border:2px solid blue;
			overflow:hidden;
		}
				
		.desde{
			position:absolute;
			top:-15px;
			left:0px;
			font-size:12px;
		}
		
		.hasta{
			position:absolute;
			top:-15px;
			right:0px;
			text-align:right;
			font-size:12px;
		}
		
		.estacion{
			position:absolute;
			top:-15px;
			width:100%;
			text-align:center;
			font-size:12px;
		}		
		
		.descartado{
			background-color:#444;
		}
		
		.caracteristicas{
			border:1px solid #555;
			height:11px;
			font-size:10px;
			width:80px;
			position:absolute;
			text-align:center;
		} 
		
		.reduccion{
			top:128;
			left:5px;
		}
		
		.registro{
			font-size:13px;
		}
		
		.curva{
			top:128;
			left:92px;
		}
		.pantalon{
			top:128;
			left:180px;
		}
		.lubricador{
			top:143;
			left:5px;
		}		
		.panelsonoro{
			top:143;
			left:92px;
		}	
		
		.etiqueta.bandas{
			color:#fff;	
			font-style:italic;
			font-size:9px;
			cursor:help;
		}
		
		.agudos{
			position:absolute;
			top:0px;
			left:20px; 
		}	
		
		.graves{
			position:absolute;
			top:19px;
			left:20px; 
		}		
		
		.err{
			position:absolute;
			left:600px;
			top:0px;
		}	
		
		.encarga{
			color:red;
		}
		.descartado{
			color:gray;
		}
	</style>
</head>

<body>
	
<?php	

	$MODO=isset($_GET['modo'])?$_GET['modo']:"";
	
	if($MODO=='edicion'){
		if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);
	}	
			
	


	$Base = $_SESSION['AppSettings']->DATABASE_NAME;	
	$Base2 = $_SESSION['AppSettings']->REPORTE_NAME;
	$Tabla = "REGregistrosdecibelimetro";
	$regs=0; //cantidad de registros guardados
	$a = scandir('./acceso/');
	$nfila=0;
	$registroscargados = 0;
	
	//configuraicon grafica
	$ANCHOLINEATIEMPO=500;
	
	//configuracin de rwngos a representar
	$Rangos[1]['leyenda']="Leq A menor a 80dba";
	$Rangos[1]['tope']=80;
	
	$Rangos[2]['leyenda']="Leq A mayor o igual a 80dba y menor a 85dba";
	$Rangos[2]['tope']=85;
	
	$Rangos[3]['leyenda']="Leq A mayor o igual a 85dba y menor a 90dba";
	$Rangos[3]['tope']=90;
	
	$Rangos[4]['leyenda']="Leq A mayor o igual a 90dba";
	$Rangos[4]['tope']=200;

	$ARRAYREL = '';
	$ARRAYSEG = '';
	$ARRAYCRUCE = '';
	
	
	$LINEA=isset($_GET['linea'])?$_GET['linea']:"todas";	

	function diferenciatiempo($tiempo2, $tiempo1){
		global $cod;
		$t = explode(":",$tiempo2);
		$min=$t[0]*60+$t[1];
		$T2seg=$min*60+$t[2];
		if(!isset($t[2])&&$MODO=='edicion'){echo "error en ".$tiempo2."_".$cod;}
		
		$t = explode(":",$tiempo1);
		$min=$t[0]*60+$t[1];
		$T1seg=$min*60+$t[2];
		
		$DIFseg = $T2seg - $T1seg;
		
		return($DIFseg);
		
	}


	

	if($_GET['id']!=''){

		//echo "<br>carga datos de segmentos...";
		$query = "SELECT * FROM `ruido`.`PLAplanillas` WHERE `PLAplanillas`.`id_p_PLArelev_id`='".$_GET['id']."' order by `id` ASC ";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada<br>";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		while($row=mysql_fetch_assoc($consulta)){
			$SEG[$row['id']] = $row;
		}
		
		//echo "<br>carga datos de segmentos...";
		$query = "SELECT * FROM PLArelev WHERE id='".$_GET['id']."'";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada<br>";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		while($row=mysql_fetch_assoc($consulta)){
			$TINI=$row['horainicio'];
		}		
		
	}

		 
		 
	$relevamientosrechazados= 0;
	$relevamientosmostrados=0;
	$relevamientoscontabilizados=0;
	$relevamientossinaudio=0;
	
	
	echo "<div id='indice'>";
		echo "<a href='./index.php'>volver al inicio</a><br>";
		echo "<a href='./cargadatos.php?tabla=&id=".$_GET['idr']."'>volver al segmento</a>";
		echo "<h1>ndice de Incidencias Temporales registradas por protocolo o revisin de audio</h1>";
	echo "</div>";


	echo "<table>";
	$f1 = reset ($REL);


echo "<a href='./agrega_f.php?salida=muestratemporales&salidatabla=a&salidaid=".$_GET['id']."&accion=agrega&tabla=PLAplanillas&C-id_p_PLArelev_id=".$_GET['id']."&C-IDR=".$_GET['idr']."'>Aadir incidencia temporal</a>";
			

	
	echo "<tr>";
		echo "<td></td>";	
		echo "<td>incidencia</td>";
		echo "<td>descripcin</td>";	
		echo "<td>hora inicio ($TINI)</td>";				
		echo "<td>hora fin</td>";
		echo "<td>incidencia descartada</td>";

	echo "</tr>";
	
	$c=0;
	foreach($SEG as $idseg => $seg){
		$c++;
		echo "<tr class='$clase $clasedes'>";
			echo "<td><a href='./agrega_f.php?salida=muestratemporales&salidatabla=a&salidaid=".$_GET['id']."&accion=cambia&tabla=PLAplanillas&id=$idseg'>cambiar</a></td>";
			
			echo "<td>".$c."</td>";
			echo "<td>".$seg['tipo_de_ruido']."</td>";					
			echo "<td>".$seg['tinicio']."</td>";
			echo "<td>".$seg['tfin']."</td>";
			echo "<td>".$seg['descartado']."</td>";			

	
		echo "</tr>";
	}
	echo "</table>";	
	
	
	
	
	/*
	
	if($LINEA=='todas'||$LINEA==$Nlinea){
		echo "<H1>Lnea: $Nlinea </h1>";
		foreach($linea as $Nseg => $segmento){
			$seriesporseg=0;
			$duracionprom=0;
			
			//echo "<H2>$Nseg</h2>";
			foreach($segmento as $idrel => $relevamiento){
				$aclaracion='';				
				$suspender='no';
				$clasedescarte='';
				
				$fecha=$relevamiento['fecha'];
				$m = mes($relevamiento['fecha']);
				$d = dia($relevamiento['fecha']);
				$y = ano($relevamiento['fecha']);
				$time = mktime(0, 0, 0, $m, $d, $y);
				$fecha = date('Y-m-d', $time);
				$reg=str_pad($relevamiento['registro de medicion'], 3, "0", STR_PAD_LEFT);		
				$identregistro=$reg." (".$fecha.")";
				
				if($relevamiento['descartado']=='si'){
					$clasedescarte='descartado';
					if($MODO=='edicion'){$suspender='no';}
					else{$suspender='si';}
					$relevamientosrechazados++;
				}else{
					$relevamientosmostrados++;
					if($relevamiento['nocuenta']=='1'){
						$aclaracion="<div class='aclaracion'>no computa en el recuento final.</div>";
						
					}else{
						$relevamientoscontabilizados++;		
						$aclaracion="<div class='numero'>$relevamientoscontabilizados</div>";		
						
						$ARRAYCRUCE[$Nlinea][$relevamiento['MARCA']][$relevamiento['FORMACION']][$relevamiento['Ncoche']][$relevamiento['IDR']][$Nseg]=$identregistro;
						$regi['marca']=$relevamiento['MARCA'];
						$regi['formacion']=$relevamiento['FORMACION'];
						$regi['coche']=$relevamiento['Ncoche'];
						$regi['idr']=$relevamiento['IDR'];
						$regi['reg']=$identregistro;						
						
						
						$tiposeg=substr($Nseg,0,1);		
						if(substr($Nseg,-1)=='v'||substr($Nseg,-1)=='V'){$sentido='v';}else{$sentido='i';}			
						$ARRAYCRUCESEG[$Nlinea][$tiposeg][$sentido][$Nseg][]=$regi;			
			
					}					
				}
				
				if($suspender!='si'){					
					
					$extraclas='';//clase indicativa eventual asignada a cada registro
					$estacion="";
					$estaciond="";		
					$estacionh="";
					$msg='';//mensaje impreso;
					
					
					$medicion = $MEDICIONES[$fecha][$reg];
					$i = explode(" ",$medicion['Start']);
					$iniciom = $i[1];
					
					
					$e = explode("/",$relevamiento['nombresegmento']);					
					if(count($e)==1){
						$tipo="estacion";
						$estacion=$e[0];
					}else{
						$tipo="tramo";
						if($relevamiento['contrasentido']!='1'){
							$estaciond=$e[0];
							$estacionh=$e[1];	
						}else{
							$estaciond=$e[1];
							$estacionh=$e[0];	
						}					
					}
					
					$f = explode(" ",$medicion['End']);
					$fin = $f[1];
					$duracion=count($medicion['registros']);
					
					$duracionprom=(($duracionprom*$seriesporseg)+$duracion)/($seriesporseg+1);//define un nuevo promedio de duracion
					if(((($duracion-$duracionprom)/$duracion)>'0.4')&&$MODO=='edicion'){$extraclas='alertamedia';$msg='ALERTA, duracion inconsistente (desvo > 40%)<br>';}
					if($duracion<10&&$MODO=='edicion'){$extraclas='alerta';$msg='ALERTA duracin muy breve<br>';}
					
					$seriesporseg++;
					$inicior = $relevamiento['horainicio'];
					$cod= "desfasaje";
					$iniciodif = diferenciatiempo($inicior, $iniciom);
					$cod='1';
					if(($iniciodif > 30 || $iniciodif < -30)&&$MODO=='edicion'){
						echo "ALARMA, desfasaje horario";
					}
					
					
					unset($MEDICIONES[$fecha][$reg]);
			
					$r=explode(".",$relevamiento['archivo']);
					
					$a=str_replace(" ","",explode("ID",$r[0]));					
					
					$IdREL = $a[1];
										
											
					$m=explode(".",$medicion['Archivo']);
					$Amedicion=$m[0].".xls";
					$path="./Linea_".(strtoupper($Nlinea))."/Rel_".$IdREL."/";
			
					$Idgrab = str_pad($relevamiento['registro de grabacion'],3,"0",STR_PAD_LEFT);
					
					$ref=str_replace(" ","",$identregistro);
					$ref=str_replace("-","_",$ref);
					$ref=str_replace("(","_",$ref);
					$ref=str_replace(")","_",$ref);
					
					//echo "<div id='R$ref' class='registro $extraclas'>";
						if($MODO=='edicion'){
						//	echo "<a class='editorrelevamiento' href='./agrega_f.php?accion=cambia&tabla=PLArelev&id=".$relevamiento['id']."'>E</a>";		
						//	echo "<a class='editorcaracteristicas' href='./agrega_f.php?accion=cambia&tabla=segmentos&id=".$relevamiento['isegmento']."'>E</a>";
						}
						//echo "<H3 title='$clasedescarte' class='$clasedescarte'>$Nseg</h3>";
						
						
								
						//echo "<H3>".$identregistro."</h3>";
						
						
						//echo $aclaracion;
						
						$href=$path."Mediciones/".$Amedicion;
						if(!file_exists($href)){
							$Amedicion="Archivo no disponible";							
							if($MODO=='edicion'){echo "!a@!".$href;}
							$href=''; 
						}
						//echo "<h4>Medicin:<a href='$href'> ".$Amedicion."</a></h4>";

						
						$Arel=$relevamiento['archivo'];
						$href=$path.$relevamiento['archivo'];
						if(!file_exists($href)){
							$Arel="Archivo no disponible";
							if($MODO=='edicion'){echo "!b@!".$href;}						
							$href='';
						}						
						//echo "<h4>Protocolo:<a href='$href'> ".$Arel."</a></h4>";
						
						
						
						$Agrab=substr(ano($fecha),2).mes($fecha).dia($fecha)."_".$Idgrab.".MP3";
						$href=$path."Grabaciones/".$Agrab;	
						if(!file_exists($href)){
							$Agrab="Archivo no disponible";
							if($MODO=='edicion'){
								//echo "!c@!".
								$href;
								$relevamientossinaudio++;
							}	
							$href='';}
						//echo "<h4>Grabacin:<a href='$href'> ".$Agrab."</a></h4>";	
												
						if($relevamiento['caracteristicas']['lubricador']=='1'){
							//echo "<div class='caracteristicas lubricador'>Lubricador</div>";	
						}
						if($relevamiento['caracteristicas']['curva']=='1'){
							//echo "<div class='caracteristicas curva'>Curva</div>";	
						}
						if($relevamiento['caracteristicas']['pantalon']=='1'){
							//echo "<div class='caracteristicas pantalon'>Pantaln</div>";	
						}
						if($relevamiento['caracteristicas']['reduccion']=='1'){
							//echo "<div class='caracteristicas reduccion'>Reduccin</div>";	
						}
						if($relevamiento['caracteristicas']['panelsonoro']=='1'){
							//echo "<div class='caracteristicas panelsonoro'>Panel Sonoro</div>";	
						}
						
						//echo "<h4>Coche:<span class='etiqueta'> ".$relevamiento['MARCA']." - ".$relevamiento['FORMACION']." - ".$relevamiento['Ncoche']."</span></h4>";	
						
						
						
						
						//echo $iniciom." reg inicio medicin<br>";
						//echo $inicior." reg inicio relev<br>";
						//echo "diferencia: ".diferenciatiempo($inicior, $iniciom)." segundos<br>";
						
						//echo "<h4>Duracin:<span class='etiqueta'> ".$duracion." segundos</span></h4>";
						
						
						//echo $msg;
						
						$anchopunto=$ANCHOLINEATIEMPO/$duracion;
						
												
						
						
						$rango="";
						$termina = 0;
						$inicia = 0;
						
						//echo "<div class='contienelinea'>";
						
						$seg=0;						
						While($seg<$duracion){
							$min=floor($seg/60);
							$restoseg=$seg-($min*60);							
							$muestra=str_pad($min,2,"0", STR_PAD_LEFT).":".str_pad($restoseg,2,"0", STR_PAD_LEFT);
														
							//echo "<div style='left:".($seg*$anchopunto)."' class='divisor'>$muestra</div>";								
							$seg+=10;
						}

						$min=floor($duracion/60);
						$restoseg=$duracion-($min*60);
						$muestra=str_pad($min,2,"0", STR_PAD_LEFT).":".str_pad($restoseg,2,"0", STR_PAD_LEFT);
						//echo "<div style='left:".($duracion*$anchopunto)."' class='divisor'>$muestra</div>";
						
						//genera la linea de integracin total
						foreach($medicion['registros'] as $idmed => $med){
									
							$vtope=0;
							$rasignado="no";
							$nrango="";
							foreach($Rangos as $rid => $r){
									if($med['LAT']<$r['tope']&&$med['LAT']>=$vtope){$nrango = $rid;$rasignado="si";}
									$vtope = $r['tope'];
							}
							
							if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
							
							if($rango != $nrango && $nrango !=""){
								if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
								echo "<div title='".$leyenda."' class='linea r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
								$inicia += $termina;
								$termina = 0;	
								$rango = $nrango;
								$termina+=$anchopunto;
							}else{
								$termina+=$anchopunto;				
							}
						}
						//imprime el ltimo tramo de la linea
						//echo "<div class='linea r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
						
						$rango="";
						$termina = 0;
						$inicia = 0;
						//genera la linea de baja fecuencia			
						foreach($medicion['registros'] as $idmed => $med){
									
							$vtope=0;
							$rasignado="no";
							$nrango="";
							foreach($Rangos as $rid => $r){
									if(($med['L1/1o125']-16)<$r['tope']&&($med['L1/1o125']-16)>=$vtope){$nrango = $rid;$rasignado="si";}
									$vtope = $r['tope'];
							}
							
							if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
							
							if($rango != $nrango && $nrango !=""){
								if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
								echo "<div title='".$leyenda."' class='linea baja r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
								$inicia += $termina;
								$termina = 0;	
								$rango = $nrango;
								$termina+=$anchopunto;
							}else{
								$termina+=$anchopunto;				
							}
						}
						//imprime el ltimo tramo de la linea
						//echo "<div class='linea baja r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
												
						
						$rango="";
						$termina = 0;
						$inicia = 0;
						
						
						//genera la linea de alta fecuencia			
						foreach($medicion['registros'] as $idmed => $med){
									
							$vtope=0;
							$rasignado="no";
							$nrango="";
							foreach($Rangos as $rid => $r){
									if(($med['L1/1o4k']+1)<$r['tope']&&($med['L1/1o4k']+1)>=$vtope){$nrango = $rid;$rasignado="si";}
									$vtope = $r['tope'];
							}
							
							if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
							
							if($rango != $nrango && $nrango !=""){
								if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
								//echo "<div title='".$leyenda."' class='linea alta r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
								$inicia += $termina;
								$termina = 0;	
								$rango = $nrango;
								$termina+=$anchopunto;
							}else{
								$termina+=$anchopunto;				
							}
						}
						//imprime el ltimo tramo de la linea
						//echo "<div class='linea alta r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
												
						//imprime etiquetas explicativas de las bandas de alta y baja frecuencia
						//echo "<div class='etiqueta bandas agudos' title='La lnea superior representa el nivel dbA para la octava 4 kHz (db +1)'>4 kHz (dbA) </div>";
						//echo "<div class='etiqueta bandas graves' title='La lnea superior representa el nivel dbA para la octava 125 Hz (db -16)'>125 Hz (dbA) </div>";
						
						
						if($tipo=="tramo"){
							//echo "<div class='desde'>Estacin: $estaciond -></div>";
							//echo "<div class='hasta'><- Estacin: $estacionh</div>";
						}elseif($tipo=="estacion"){
							//echo "<div class='estacion'><- Estacin: $estacion -></div>";
						}
						
						$top=20;
						$etiquetastiempo=0;
						foreach($PLANILLAS[$idrel] as $deteccion){
							
							$suspender='no';
							$clasedescarte='';
							if($deteccion['descartado']=='si'){
								$clasedescarte='descartado';
								if($MODO=='edicion'){$suspender='no';}
								else{$suspender='si';}
							}
							
							if($suspender!='si'){
								$top+=11;
								$cod= "tinicio";
								$tiniciodeteccion=$deteccion['tinicio'];
								if($tiniciodeteccion==$deteccion['tiempo medicin a texto']){$tiniciodeteccion=$iniciom;}
								
								$tinicio = max(0,diferenciatiempo($tiniciodeteccion, $iniciom));
								
								if($deteccion['tfin']=='FINAL'){$tfin=$duracion;}else{
									$cod= "duracion";
									$tfin = min($duracion, diferenciatiempo($deteccion['tfin'], $deteccion['tiempo medicin a texto']));
								}
								$width=($tfin-$tinicio)*$anchopunto;
								$left=$tinicio*$anchopunto;
								
								$etiquetastiempo++;
								//echo $deteccion['tipo de ruido'];	
								//echo "<div title='$clasedescarte'  style='top:".$top."px;left:".$left."px;width:".$width."px' class='etiquetatiempo $clasedescarte'>".$deteccion['tipo de ruido']."</div>";
								
								
								if($MODO=='edicion'){
									//echo "<a class='editorsonido' href='./agrega_f.php?accion=cambia&tabla=PLAplanillas&id=".$deteccion['id']."' style='top:".$top."px;'>E</a>";
								}
								
								if($etiquetastiempo==11&&$MODO=='edicion'){
									//echo "<div class='alerta err'>ERR001 cantidad de etiquetas mayor a 10</div>";
								}
								
							}	
						}
						
					//echo "</div>";
					//echo "</div>";
					
				}
			}
		
	 
	}	
	}

*/



//$ARRAYCRUCE[$Nlinea][$relevamiento['MARCA']][$relevamiento['FORMACION']][$relevamiento['Ncoche']][$relevamiento['IDR']][$Nseg]=$identregistro;
$ncol1=0;
$ncol2=0;


//echo "<pre>".$ARRAYCRUCESEG."</pre>";
$revision=0;


echo "cruces identificados: ".$revision;
?>

	
<body>
<script type="text/JavaScript">	
var t = setTimeout("recarga();",60000);
function recarga(){
	parent.frames['ventanausuarios'].window.location.reload();
	var t = setTimeout("recarga();",60000);
}
</script>	
	<!---
<script type="text/JavaScript">
 setTimeout("location.reload(true);",260000);
 setTimeout("document.frames('ventanausuarios').location.reload(true);",100000);
</script>
