CREATE DATABASE  IF NOT EXISTS `ruido` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `ruido`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 192.168.0.252    Database: ruido
-- ------------------------------------------------------
-- Server version	5.5.32-0ubuntu0.12.04.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `PLArelev`
--

DROP TABLE IF EXISTS `PLArelev`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PLArelev` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `FI_archivo` varchar(145) DEFAULT NULL COMMENT 'Archivo de protocolo xls',
  `linea` varchar(145) DEFAULT NULL COMMENT 'Linea de Subte',
  `IDR` varchar(145) DEFAULT NULL COMMENT 'ID del relevamiento',
  `MARCA` varchar(145) DEFAULT NULL COMMENT 'Marca',
  `FORMACION` varchar(145) DEFAULT NULL COMMENT 'Formación',
  `Ncoche` varchar(145) DEFAULT NULL COMMENT 'Número de coche',
  `fecha` date DEFAULT NULL COMMENT 'Fecha',
  `id_p_segmentos_id_nombre` varchar(145) DEFAULT NULL COMMENT 'Identificador del Segmento',
  `nombresegmento` varchar(145) DEFAULT NULL COMMENT 'Nombre del segmento',
  `registro de medicion` varchar(145) DEFAULT NULL COMMENT 'Registro de Medición',
  `registro de grabacion` varchar(145) DEFAULT NULL COMMENT 'Registro de Grabación',
  `codusuarios` varchar(45) DEFAULT NULL COMMENT 'Estado de Usuarios',
  `horainicio` time DEFAULT NULL COMMENT 'Hora de inicio de la medición',
  `descartado` tinyint(1) DEFAULT NULL COMMENT 'Relevamiento de Segmento descartado',
  `nocuenta` tinyint(1) DEFAULT NULL COMMENT 'Relevamiento de Segmento poco repesentativo',
  `zz_contrasentido` tinyint(1) DEFAULT NULL COMMENT 'sentido invertido',
  `zz_encarga` tinyint(1) DEFAULT '0',
  `zz_borrada` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1827 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-09-05 13:33:36
