CREATE DATABASE  IF NOT EXISTS `ruido` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `ruido`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 192.168.0.252    Database: ruido
-- ------------------------------------------------------
-- Server version	5.5.32-0ubuntu0.12.04.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `RELrelevamiento`
--

DROP TABLE IF EXISTS `RELrelevamiento`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `RELrelevamiento` (
  `id` varchar(450) NOT NULL,
  `completo` tinyint(1) DEFAULT NULL COMMENT 'Este relevamiento se cargó en forma completa. (tildar al finalizar la carga de datos para que ingrese al sistema)',
  `fecha` date DEFAULT NULL COMMENT 'Fecha del relevamiento',
  `FI_archivo` varchar(450) DEFAULT NULL COMMENT 'planilla o protocolo de relevamiento guardada en el sistema en formato xls',
  `linea` varchar(145) DEFAULT NULL COMMENT 'Línea de Subterraneo relevada',
  `MARCA` varchar(145) DEFAULT NULL COMMENT 'Marca de la Formación relevada',
  `FORMACION` varchar(145) DEFAULT NULL,
  `Ncoche` varchar(145) DEFAULT NULL COMMENT 'Número de coche relevado',
  `descartado` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Descartado. Marcar si este relevamientó fue descartado para futuros análisis.',
  `relevador` varchar(450) DEFAULT NULL COMMENT 'Nombre o identificación de quie realizó el relevamiento',
  `instrumental` varchar(450) DEFAULT NULL COMMENT 'Numero de serie del instrumental utilizado',
  `observaciones` text COMMENT 'Observaciones',
  `zz_borrada` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-09-05 13:33:35
