<?php 
/**
* index.php
*
* index.php punto de acceso, menu de direccin a los distintos mdulos.
* 
* @package    	TReCC(tm) Gestor Masivo de Datos Acsticos.
* @subpackage 	gestin de series de mediciones masivas en transporte pblico
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm) y TReCC(tm) intraTReCC.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/
include ('./includes/encabezado.php');
ini_set('memory_limit', '1024M');	
?>
<head>
	<?php /*include ('./includes/meta.php'); */?>
	<title>Mediciones de ruido</title>
	<link rel="stylesheet" type="text/css" href="css/general.css">
	<link rel="stylesheet" type="text/css" href="css/comando.css">
	<link rel="stylesheet" type="text/css" href="css/tipos.css">
	<link rel="stylesheet" type="text/css" href="css/cargadatos.css">	
	<style type=text/css>
	
	</style>
</head>

<body>
	
<?php	
unset($_SESSION['DEBUG']['mensajes']);

	//medicion de rendimiento lamp (INICIO)
	$starttime = microtime(true);
	$time = microtime(true);
	

	$MODO=isset($_GET['modo'])?$_GET['modo']:"";
	
	if($MODO=='edicion'){
		if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);
	}	


	$Base = $_SESSION['AppSettings']->DATABASE_NAME;	
	$Base2 = $_SESSION['AppSettings']->REPORTE_NAME;
	$Tabla = "REGregistrosdecibelimetro";
	$regs=0; //cantidad de registros guardados
	$a = scandir('./acceso/');
	$nfila=0;
	$registroscargados = 0;
	
	//configuraicon grafica
	$ANCHOLINEATIEMPO=500;
	
	//configuracin de rwngos a representar
	$Rangos[1]['leyenda']="Leq A menor a 80dba";
	$Rangos[1]['tope']=80;
	
	$Rangos[2]['leyenda']="Leq A mayor o igual a 80dba y menor a 85dba";
	$Rangos[2]['tope']=85;
	
	$Rangos[3]['leyenda']="Leq A mayor o igual a 85dba y menor a 90dba";
	$Rangos[3]['tope']=90;
	
	$Rangos[4]['leyenda']="Leq A mayor o igual a 90dba";
	$Rangos[4]['tope']=200;

	$ARRAYREL = '';
	$ARRAYSEG = '';
	$ARRAYCRUCE = '';
	
	
	$whereL="WHERE 1=1 ";

	
	
	function diferenciatiempo($tiempo2, $tiempo1){
		global $cod;
		$t = explode(":",$tiempo2);
		$min=$t[0]*60+$t[1];
		$T2seg=$min*60+$t[2];
		if(!isset($t[2])&&$MODO=='edicion'){echo "error en ".$tiempo2."_".$cod;}
		
		$t = explode(":",$tiempo1);
		$min=$t[0]*60+$t[1];
		$T1seg=$min*60+$t[2];
		
		$DIFseg = $T2seg - $T1seg;
		
		return($DIFseg);
		
	}

	//echo "<br>carga datos de segmentos...";
		$query = "SELECT * FROM RELrelevamiento WHERE id='".$_GET['id']."' AND zz_borrada !='1'";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada<br>";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		while($row=mysql_fetch_assoc($consulta)){
			$REL=$row;
			$rel[$row['id']]=$row;
			
		}
		
		$LINEA=$REL['linea'];	

	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T inicio:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";

	//echo "<br>carga datos de segmentos...";
		$query = "SELECT * FROM segmentos WHERE linea='$LINEA' AND zz_borrada !='1' order by id asc";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada<br>";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		$c=0;
		while($row=mysql_fetch_assoc($consulta)){
			$c++;
			$isegmento=str_replace(" ", "", $row['id']);
			$may=strtoupper($isegmento);
			
			if(substr($may,-1)=='V'){
				if(strlen($may)==4){
					$may=substr($may,0,2)."0".substr($may,-2);
				}
			}else{
				if(strlen($may)==3){
					$may=substr($may,0,2)."0".substr($may,-1);
				}
			}
			$SEGMENTOS[$may] = $row;
			$SEGs[$row['id']] = $row['nombre'];
			
		}

	
	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T carga $c segmentos:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";
	
	
	if($_GET['id']!=''){$whereL.=" AND IDR='".$_GET['id']."'";}
	

	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T carga $c PLArelev:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";


	//echo "carga planillas datos...<br>";
		$query = "SELECT * FROM PLAplanillas $whereL AND zz_borrada !='1'";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
	
		$c=0;
		while($row=mysql_fetch_assoc($consulta)){
			$c++;
			$PLANILLAS[$row['id_p_PLArelev_id']][$row['id']] = $row;
		}


			
	//	"carga planillas relevamientos...<br>"; 	NUEVO
		$query = "SELECT * FROM PLArelev $whereL AND zz_borrada !='1'";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
		
		
		$c=0;
		while($row=mysql_fetch_assoc($consulta)){
			$c++;
			$isegmento=str_replace(" ", "", $row['isegmento']);
			$may=strtoupper($isegmento);
			
			if(substr($may,-1)=='V'){
				if(strlen($may)==4){
					$may=substr($may,0,2)."0".substr($may,-2);
				}
			}else{
				if(strlen($may)==3){
					$may=substr($may,0,2)."0".substr($may,-1);
				}
			}
			
			//$RELEVAMIENTOS[$row['linea']][$may][$row['id']] = $row;
			//$RELEVAMIENTOS[$row['linea']][$may][$row['id']]['caracteristicas'] = $SEGMENTOS[$may];	
			$INCIDENCIAS[$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']] = $row;
			$INCIDENCIAS[$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']]['temporales']=$PLANILLAS[$row['id']];
			
		}	



	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T carga $c PLAplanillas:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";
		
	//echo "carga mediciones (serie)...<br>";	
		$query = "SELECT 
			linea,
			REGregistros.* 
			FROM REGregistros 
			LEFT JOIN RELrelevamiento on REGregistros.IDR=RELrelevamiento.id AND RELrelevamiento.zz_borrada !='1'
			$whereL  AND REGregistros.zz_borrada !='1'";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}

//print_r($SEGs);
		$c=0;
		while($row=mysql_fetch_assoc($consulta)){
			$c++;					
			$f = explode("_",$row['Archivo']);	
			$fecha=	$f[1];
			$reg=	str_pad($f[3], 3, "0", STR_PAD_LEFT);
			//if($fecha == "2014-03-05"){echo $reg."<br>";}
			$MEDICIONES[$fecha][$reg]=$row;
			$MEDICIONES[$fecha][$reg]['registros']=$REGISTROS[$row['id']]['registros'];
			
			$NNREL[$row['linea']][$row['IDR']][$row['registromedicion']]=$row;
			//[linea][relevamiento][registro]
			
			$TT[$row['linea']]['segmentos'][$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']]=$rel[$row['IDR']];
			$TT[$row['linea']]['segmentos'][$row['id_p_segmentos_id_nombre']]['nombre']=$SEGs[$row['id_p_segmentos_id_nombre']];
			$TT[$row['linea']]['segmentos'][$row['id_p_segmentos_id_nombre']]['caracteristicas']=$SEGMENTOS[$row['id_p_segmentos_id_nombre']];
			$TT[$row['linea']]['segmentos'][$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']]['serie'][$row['registromedicion']]=$row;
			$TT[$row['linea']]['segmentos'][$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']]['incidencias']=$INCIDENCIAS[$row['id_p_segmentos_id_nombre']]['relevamientos'][$row['IDR']];

		}


		
	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T carga $c registros por meidcion:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";


                                                                            
																			
	//echo "carga registros de mediciones...<br>";
		$query = "
			SELECT 
			RELrelevamiento.linea, 
			REGregistros.registromedicion,
			
			REGregistrosbandas.id,
			REGregistrosbandas.id_p_REGregistros,
			REGregistrosbandas.Date_Hour,
			REGregistrosbandas.Elapsed_T_Time,
			REGregistrosbandas.`LAT`,
			REGregistrosbandas.`L1/1o125`,
			REGregistrosbandas.`L1/1o250`,
			REGregistrosbandas.`L1/1o4k`,
			REGregistrosbandas.`L1_1/1o4k`,
			 
			 REGregistros.IDR, 
			 REGregistros.id_p_segmentos_id_nombre 
			 
			 FROM REGregistrosbandas 
			LEFT JOIN REGregistros on REGregistros.id=REGregistrosbandas.id_p_REGregistros AND REGregistros.zz_borrada !='1'
			LEFT JOIN RELrelevamiento on REGregistros.IDR=RELrelevamiento.id AND RELrelevamiento.zz_borrada !='1'
			$whereL
			AND REGregistrosbandas.zz_borrada !='1'
			
			";
		$consulta = mysql_query($query, $Conec1);
		if(mysql_error($Conec1)==''){
			//echo "consulta realizada";
		}else{
			echo mysql_error($Conec1)." ". $query;$NID='';
		}	
					
		$c=0;
		while($row=mysql_fetch_assoc($consulta)){
			$c++;
			$REGISTROS[$row['id_p_REGregistros']]['registros'][$row['id']]=$row;
			
			$linea=$row['linea'];
			$idrel=$row['IDR'];
			//$idreg=$row['id_p_REGregistros'];
			$idreg=$row['registromedicion'];
			$idregseg=$row['id'];
			$NNREL[$linea][$idrel][$idreg]['segundos'][$idregseg]=$row;
			//[linea][relevamiento][registro]['segundos'][idregsegundo]
			

			$TT[$linea]['segmentos'][$row['id_p_segmentos_id_nombre']]['relevamientos'][$idrel]['serie'][$idreg]['segundos'][$idregseg]=$row;
		}
	
	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T carga $c registrosporsegundo:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";
	
			
	
		
		
	//foreach($MEDICIONES as $key => $dato){echo $key."<br>";}
	//echo "<pre>";print_r($MEDICIONES);"</pre>";
	//print_r	($MEDICIONES["2014-03-05"]['033']);

	$relevamientosrechazados= 0;
	$relevamientosmostrados=0;
	$relevamientoscontabilizados=0;
	$relevamientossinaudio=0;
	
	echo "<div id='indice'>";
		echo "<a href='./index.php'>volver al inicio</a><br>";
		echo "<a href='./muestrarelevamientos.php'>volver al listado de relevamientos</a><br>";
		echo "<h1>ndice de series medidas</h1>";
	echo "</div>";
	
	
	foreach($TT as $Nlinea => $linea){
	if($LINEA=='todas'||$LINEA==$Nlinea){
		echo "<H1>Lnea: $Nlinea </h1>";
		foreach($linea['segmentos'] as $Nseg => $segmento){
			$seriesporseg=0;
			$duracionprom=0;
			$NOMseg=$segmento['nombre'];
		
			echo "<H2>$Nseg</h2>";
			foreach($segmento['relevamientos'] as $idrel => $relevamiento){

								
					
				$aclaracion='';				
				$suspender='no';
				$clasedescarte='';
				
				$e=explode(' ',$serie['Start']);
				$timeStart=$e[1];
				
				$fecha=$relevamiento['fecha'];
				$m = mes($relevamiento['fecha']);
				$d = dia($relevamiento['fecha']);
				$y = ano($relevamiento['fecha']);
				$time = mktime(0, 0, 0, $m, $d, $y);
				$fecha = date('Y-m-d', $time);
				
				
				
				
				foreach($relevamiento['serie'] as $idser => $serie){
					//echo $identregistro."-".$idmed."-".$idrel;
					$idREGregistros = $serie['id'];
					
					$IdREL = $medicion['registromedicion'];	
				
					$reg=$idrel;		
					$identregistro=$reg." (".$fecha.")";
										
					if($serie['descartado']=='1'){
						$clasedescarte='descartado';
						if($MODO=='edicion'){$suspender='no';}
						else{$suspender='si';}
						$relevamientosrechazados++;
					}else{
						$relevamientosmostrados++;
						if($serie['nocuenta']=='1'){
							$aclaracion="<div class='aclaracion'>no computa en el recuento final.</div>";
							
						}else{
							$relevamientoscontabilizados++;		
							$aclaracion="<div class='numero'>$relevamientoscontabilizados</div>";		
							
							$ARRAYCRUCE[$Nlinea][$relevamiento['MARCA']][$relevamiento['FORMACION']][$relevamiento['Ncoche']][$relevamiento['IDR']][$Nseg]=$identregistro;
							$regi['marca']=$relevamiento['MARCA'];
							$regi['formacion']=$relevamiento['FORMACION'];
							$regi['coche']=$relevamiento['Ncoche'];
							$regi['idr']=$relevamiento['IDR'];
							$regi['reg']=$identregistro;						
							$regi['REGregistrosid']=$idREGregistros;		
							
							$tiposeg=substr($Nseg,0,1);		
							if(substr($Nseg,-1)=='v'||substr($Nseg,-1)=='V'){$sentido='v';}else{$sentido='i';}			
							$ARRAYCRUCESEG[$Nlinea][$tiposeg][$sentido][$Nseg][]=$regi;			
				
						}					
					}
					
					if($suspender!='si'){					
						
						$extraclas='';//clase indicativa eventual asignada a cada registro
						$estacion="";
						$estaciond="";		
						$estacionh="";
						$msg='';//mensaje impreso;
						
						
						unset($MEDICIONES[$fecha][$reg]);
						
						//$medicion = $MEDICIONES[$fecha][$reg];
						//$medicion = $NNREL[$Nlinea][$IdREL][$reg];		
						
						
						$i = explode(" ",$serie['Start']);
						$iniciom = $i[1];
						
						
						$e = explode("/",$segmento['nombre']);					
						if(count($e)==1){
							$tipo="estacion";
							$estacion=$e[0];
							$LEFTdatosseriecarga=0;
						}else{
							$tipo="tramo";
							$LEFTdatosseriecarga=200;
							if($relevamiento['zz_contrasentido']!='1'){
								$estaciond=$e[0];
								$estacionh=$e[1];	
							}else{
								$estaciond=$e[1];
								$estacionh=$e[0];	
							}					
						}
						
						$f = explode(" ",$serie['End']);
						$fin = $f[1];
						$duracion=count($serie['segundos']);
						
						$duracionprom=(($duracionprom*$seriesporseg)+$duracion)/($seriesporseg+1);//define un nuevo promedio de duracion
						if(((($duracion-$duracionprom)/$duracion)>'0.4')&&$MODO=='edicion'){$extraclas='alertamedia';$msg='ALERTA, duracion inconsistente (desvo > 40%)<br>';}
						if($duracion<10&&$MODO=='edicion'){$extraclas='alerta';$msg='ALERTA duracin muy breve<br>';}
						
						$seriesporseg++;
						$inicior = $relevamiento['horainicio'];
						$cod= "desfasaje";
						$iniciodif = diferenciatiempo($inicior, $iniciom);
						$cod='1';
						if(($iniciodif > 30 || $iniciodif < -30)&&$MODO=='edicion'){
							echo "ALARMA, desfasaje horario";
						}		
												
						$m=explode(".",$serie['Archivo']);
						$Amedicion=$m[0].".xls";
						
						$path="./Linea_".(strtoupper($Nlinea))."/Rel_".$idrel."/";
						$pathREL=$path;
						$Idgrab = $serie['registrograbacion'];
						
						$ref=str_replace(" ","",$identregistro);
						$ref=str_replace("-","_",$ref);
						$ref=str_replace("(","_",$ref);
						$ref=str_replace(")","_",$ref);
						
						
						
						echo "<div id='R$ref' class='registro $extraclas'>";
							if($MODO=='edicion'){
								echo "<a class='editorrelevamiento' href='./agrega_f.php?accion=cambia&tabla=PLArelev&id=".$relevamiento['id']."'>E</a>";		
								echo "<a class='editorcaracteristicas' href='./agrega_f.php?accion=cambia&tabla=segmentos&id=".$relevamiento['isegmento']."'>E</a>";
							}
							
							
							
							echo "<H3>Relevamiento ".$identregistro;
							
							if($relevamiento['incidencias']['descartado']==1){
								echo "<span class='RSdescartado' title='Relevamiento de segmento descartado por inconsitencia tcnica'>XX</span>";
							}
							if($relevamiento['incidencias']['nocuenta']==1){
								echo "<span class='RSnocuenta' title='Relevamiento de segmento excluido de informes por irrelevancia'>X</span>";
							}							
							
							echo "</h3>";
							
							
							$Arel=$relevamiento['FI_archivo'];
							$href=$path.$relevamiento['FI_archivo'];
							if(!file_exists($href)){
								$Arel="Archivo no disponible";
								if($MODO=='edicion'){echo "!b@!".$href;}						
								$href='';
							}						
							echo "<h4>Protocolo:<a href='$href'> ".$Arel."</a></h4>";
							
							echo $aclaracion;
							
							echo "<H3 title='$clasedescarte' class='$clasedescarte'>Serie segmento $Nseg</h3>";
							
							
							$href=$path."Mediciones/".$serie['FI_xls'];
							
							if($serie['FI_xls']==''||!file_exists($href)){
								$Amedicion="Archivo no disponible";				
								$href="./agrega_f.php?id=$idREGregistros&tabla=REGregistros&accion=cambia&Campo=FI_xls&linea=$LINEA&idr=$idrel&nseg=$Nseg&idreg=$idREGregistros&pathFI_xls=Linea_$LINEA/Rel_$idrel/Mediciones";			
								$hayxls='no';
							}else{
								$hayxls='si';
								$e=explode('.',$serie['FI_xls']);
								$ntxt=$e[0].".txt";
							}
							
							echo "<h4>Medicin xls:<a href='$href'> ".$Amedicion."</a></h4>";
							
						
							
							$href=$path."Mediciones/".$serie['FI_txt'];
							$Amedicion=$serie['FI_txt'];
							if(!file_exists($href)){
								if($hayxls=='si'){
									echo "crear txt";
									if(file_exists('./accesohecho/'.$ntxt)){
										
										echo "ok";
										$nptxt=$path."Mediciones/".$ntxt;
										copy('./accesohecho/'.$ntxt, $nptxt);
										
									}
									
								}
								$Amedicion="Archivo no disponible";							
								if($MODO=='edicion'){echo "!a@!".$href;}
								$href=''; 
							}
							echo "<h4>Medicin txt:<a href='$href'> ".$Amedicion."</a></h4>";
							
							
							$Agrab=substr(ano($fecha),2).mes($fecha).dia($fecha)."_".$Idgrab.".MP3";
							$href=$path."Grabaciones/".$Agrab;	
							if(!file_exists($href)){
								$Agrab="Archivo no disponible";
								$href="./agrega_f.php?id=$idREGregistros&tabla=REGregistros&accion=cambia&Campo=FI_mp3&linea=$LINEA&idr=$idrel&nseg=$Nseg&idreg=$idREGregistros&pathFI_mp3=Linea_$LINEA/Rel_$idrel/Grabaciones";			
								}else{
									if($serie['FI_mp3']==''){
										$query="UPDATE `ruido`.`REGregistros`
										SET
										`FI_mp3` = '$Agrab'
										WHERE id='$idREGregistros'
										";
										echo $query;
										mysql_query($query,$Conec1);
										echo mysql_error($Conec1);
									}
								}
							
							echo "<h4>Grabacin:<a href='$href'> ".$Agrab."</a></h4>";	
													
							if($segmento['caracteristicas']['lubricador']=='1'){
								echo "<div class='caracteristicas lubricador'>Lubricador</div>";	
							}
							if($segmento['caracteristicas']['curva']=='1'){
								echo "<div class='caracteristicas curva'>Curva</div>";	
							}
							if($segmento['caracteristicas']['pantalon']=='1'){
								echo "<div class='caracteristicas pantalon'>Pantaln</div>";	
							}
							if($segmento['caracteristicas']['reduccion']=='1'){
								echo "<div class='caracteristicas reduccion'>Reduccin</div>";	
							}
							if($segmento['caracteristicas']['panelsonoro']=='1'){
								echo "<div class='caracteristicas panelsonoro'>Panel Sonoro</div>";	
							}
							
							echo "<h4>Coche:<span class='etiqueta'> ".$relevamiento['MARCA']." - ".$relevamiento['FORMACION']." - ".$relevamiento['Ncoche']."</span></h4>";	
							
							
								//medicion de rendimiento lamp
							$duraconacum = substr((microtime(true) - $starttime),0,6);
							$duration = substr((microtime(true) - $time),0,6);
							$time = microtime(true);
							$_SESSION['DEBUG']['mensajes'][]= "T representacin:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";					
							
							//echo $iniciom." reg inicio medicin<br>";
							//echo $inicior." reg inicio relev<br>";
							//echo "diferencia: ".diferenciatiempo($inicior, $iniciom)." segundos<br>";
							
							echo "<h4>Duracin:<span class='etiqueta'> ".$duracion." segundos</span></h4>";
							
							
							echo $msg;
							
							$anchopunto=$ANCHOLINEATIEMPO/$duracion;
							
													
							
							
							$rango="";
							$termina = 0;
							$inicia = 0;
							
							echo "<div class='contienelinea'>";
							
								$seg=0;						
								While($seg<$duracion){
									$min=floor($seg/60);
									$restoseg=$seg-($min*60);							
									$muestra=str_pad($min,2,"0", STR_PAD_LEFT).":".str_pad($restoseg,2,"0", STR_PAD_LEFT);
																
									echo "<div style='left:".($seg*$anchopunto)."' class='divisor'>$muestra</div>";								
									$seg+=10;
								}
		
								$min=floor($duracion/60);
								$restoseg=$duracion-($min*60);
								$muestra=str_pad($min,2,"0", STR_PAD_LEFT).":".str_pad($restoseg,2,"0", STR_PAD_LEFT);
								echo "<div style='left:".($duracion*$anchopunto)."' class='divisor'>$muestra</div>";
								
								//genera la linea de integracin total
								foreach($serie['segundos'] as $idseg => $seg){
											
									$vtope=0;
									$rasignado="no";
									$nrango="";
									foreach($Rangos as $rid => $r){
											if($seg['LAT']<$r['tope']&&$seg['LAT']>=$vtope){$nrango = $rid;$rasignado="si";}
											$vtope = $r['tope'];
									}
									
									if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
									
									if($rango != $nrango && $nrango !=""){
										if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
										echo "<div title='".$leyenda."' class='linea r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
										$inicia += $termina;
										$termina = 0;	
										$rango = $nrango;
										$termina+=$anchopunto;
									}else{
										$termina+=$anchopunto;				
									}
								}
								//imprime el ltimo tramo de la linea
								echo "<div class='linea r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
								
								$rango="";
								$termina = 0;
								$inicia = 0;
								//genera la linea de baja fecuencia			
								foreach($serie['segundos'] as $idseg => $seg){
											
									$vtope=0;
									$rasignado="no";
									$nrango="";
									foreach($Rangos as $rid => $r){
											if(($seg['L1/1o125']-16)<$r['tope']&&($seg['L1/1o125']-16)>=$vtope){$nrango = $rid;$rasignado="si";}
											$vtope = $r['tope'];
									}
									
									if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
									
									if($rango != $nrango && $nrango !=""){
										if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
										echo "<div title='".$leyenda."' class='linea baja r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
										$inicia += $termina;
										$termina = 0;	
										$rango = $nrango;
										$termina+=$anchopunto;
									}else{
										$termina+=$anchopunto;				
									}
								}
								//imprime el ltimo tramo de la linea
								echo "<div class='linea baja r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
										
								$rango="";
								$termina = 0;
								$inicia = 0;
								
								//genera la linea de alta fecuencia			
								foreach($serie['segundos'] as $idseg => $seg){
									
									$vtope=0;
									$rasignado="no";
									$nrango="";
									foreach($Rangos as $rid => $r){
											if(($seg['L1/1o4k']+1)<$r['tope']&&($seg['L1/1o4k']+1)>=$vtope){$nrango = $rid;$rasignado="si";}
											$vtope = $r['tope'];
									}
									
									if($nrango==""&&$MODO=='edicion'){echo "ERROR";}
									
									if($rango != $nrango && $nrango !=""){
										if(isset($Rangos[$rango]['leyenda'])){$leyenda = $Rangos[$rango]['leyenda'];}else{$leyenda='';}
										echo "<div title='".$leyenda."' class='linea alta r".$rango."' style='left:".$inicia."px;width:".$termina."px;'></div>";
										$inicia += $termina;
										$termina = 0;	
										$rango = $nrango;
										$termina+=$anchopunto;
									}else{
										$termina+=$anchopunto;				
									}
								}
								
								//imprime el ltimo tramo de la linea
								echo "<div class='linea alta r".$rango."' style='left:".$inicia."px;width:".$termina."px;'>.</div>";
														
								//imprime etiquetas explicativas de las bandas de alta y baja frecuencia
								echo "<div class='etiqueta bandas agudos' title='La lnea superior representa el nivel dbA para la octava 4 kHz (db +1)'>4 kHz (dbA) </div>";
								echo "<div class='etiqueta bandas graves' title='La lnea superior representa el nivel dbA para la octava 125 Hz (db -16)'>125 Hz (dbA) </div>";
								
								
								if($tipo=="tramo"){
									echo "<div class='desde'>Estacin: $estaciond -></div>";
									echo "<div class='hasta'><- Estacin: $estacionh</div>";
								}elseif($tipo=="estacion"){
									echo "<div class='estacion'><- Estacin: $estacion -></div>";
								}
								
									
	
								echo "<div style='left:".$LEFTdatosseriecarga."px' class='edicionserie'>";
									if($duracion<=0){
										$datossegundos='vacio';
										
										echo"<a href='./datosseriecarga.php?Campo=FI_txt&linea=$LINEA&idr=$idrel&nseg=$Nseg&idreg=$idREGregistros&pathFI_txt=Linea_$LINEA/Rel_$idrel/Mediciones'>cargar archivo de datos para la serie txt</a>";
									}else{
										$datossegundos='cargado';
										//echo"<a  href='./datosseriecarga.php?pathFI_xls=".$path."Mediciones/&pathFI_mp3=".$path."Grabaciones/&salida=cargadatos&salidatabla=a&salidaid=$idrel&linea=$LINEA&idr=$idrel&nseg=$Nseg&idreg=$idREGregistros'>editar manualmente datos cargados para la serie</a>";
										echo"<a  href='./agrega_f.php?id=$idREGregistros&tabla=REGregistros&accion=cambia&pathFI_xls=".$path."Mediciones/&pathFI_mp3=".$path."Grabaciones/&salida=cargadatos&salidatabla=a&salidaid=$idrel&linea=$LINEA&idr=$idrel&nseg=$Nseg&idreg=$idREGregistros'>editar manualmente datos cargados para la serie</a>";
									}
								echo "</div>";
								
								$top=20;
								$etiquetastiempo=0;
								
								
								
								if(isset($relevamiento['incidencias']['id'])){
									
									foreach($relevamiento['incidencias']['temporales'] as $idPLArelev => $incidenciatemporal){
																				
										$suspender='no';
										$clasedescarte='';
										if($incidenciatemporal['descartado']=='1'){
											$clasedescarte='descartado';
											if($MODO=='edicion'){$suspender='no';}
											else{$suspender='si';}
										}
										
										if($suspender!='si'){
											$top+=11;
											$cod= "tinicio";
											$tiniciodeteccion=$incidenciatemporal['tinicio'];
											if($tiniciodeteccion==$incidenciatemporal['tiempo medicin a texto']){$tiniciodeteccion=$iniciom;}
											
											$tinicio = max(0,diferenciatiempo($tiniciodeteccion, $iniciom));
											
											if($incidenciatemporal['tfin']=='FINAL'){$tfin=$duracion;}else{
												$cod= "duracion";
												$tfin = min($duracion, diferenciatiempo($incidenciatemporal['tfin'], $incidenciatemporal['tiempo medicin a texto']));
											}
											$width=($tfin-$tinicio)*$anchopunto;
											$left=$tinicio*$anchopunto;
											
											$etiquetastiempo++;
											//echo $planilla['tipo de ruido'];	
											echo "<div title='$clasedescarte'  style='top:".$top."px;left:".$left."px;width:".$width."px' class='etiquetatiempo $clasedescarte'>".$incidenciatemporal['tipo_de_ruido']."</div>";
											
											
											if($MODO=='edicion'){
												echo "<a class='editorsonido' href='./agrega_f.php?accion=cambia&tabla=PLAplanillas&id=".$incidenciatemporal['id']."' style='top:".$top."px;'>E</a>";
											}
											
											if($etiquetastiempo==11&&$MODO=='edicion'){
												echo "<div class='alerta err'>ERR001 cantidad de etiquetas mayor a 10</div>";
											}
											
										}	
									}
									$top+=10;
									echo "<a href='./agrega_f.php?salida=cargadatos&salidatabla=a&salidaid=$idrel&tabla=PLArelev&accion=cambia&id=".$relevamiento['incidencias']['id']."' style='top:".$top."px;left:0px;width:250px' class='flotante'>cambiar datos relevados en el protocolo</a>";
									
								}ELSE{
									$campos='';
									$campos.="&C-linea=".$Nlinea;
									$campos.="&C-IDR=$idrel";
									$campos.="&C-MARCA=".$relevamiento['MARCA'];
									$campos.="&C-FORMACION=".$relevamiento['FORMACION'];
									$campos.="&C-Ncoche=".$relevamiento['Ncoche'];
									$campos.="&C-fecha=".$relevamiento['fecha'];
									$campos.="&C-id_p_segmentos_id_nombre=".$Nseg;
									$campos.="&C-nombresegmento=".$NOMseg;
									$campos.="&C-FI_archivo=".$Arel;
									$campos.="&pathFI_archivo=".$pathREL;
									$campos.="&C-horainicio=".$iniciom;
									
									
									if($datossegundos=='cargado'){
										echo "<a href='./agrega_f.php?salida=cargadatos&pathFI_archivo=$path/&salidatabla=a&salidaid=$idrel&tabla=PLArelev&accion=agrega$campos' style='top:40px;left:0px;width:250px' class='flotante'>cargar datos relevados en el protocolo</a>";
									}

								}
								
							echo "</div>";
						
						echo "</div>";
					}
				}
			}
		}
	}		
	}

	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T representacin:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";
		
	if($MODO=='edicion'){
		
	foreach($MEDICIONES as $med){
		foreach($med as $serie){
			if($serie['Notes']!='descartada'){
				echo $serie['Archivo']."<br>";	
			}
		}
	}
	
	//echo "<pre>";print_r($MEDICIONES);echo "</pre>";
	
	echo "<br>Relevamientos rechazados: $relevamientosrechazados";
	echo "<br>Relevamientos mostrados en la version final: $relevamientosmostrados	";
	echo "<br>Relevamientos contabilizados en la version final: $relevamientoscontabilizados";
	echo "<br>Relevamientos mostrados sin audio: $relevamientossinaudio";
	
	}

//$ARRAYCRUCE[$Nlinea][$relevamiento['MARCA']][$relevamiento['FORMACION']][$relevamiento['Ncoche']][$relevamiento['IDR']][$Nseg]=$identregistro;
$ncol1=0;
$ncol2=0;


foreach($ARRAYCRUCE as $linea =>$marcas){
	$SPANARRAYCRUCE[$linea]['valor']=0;
	foreach($marcas as $marca =>$formaciones){
		$SPANARRAYCRUCE[$linea][$marca]['valor']=0;
		foreach($formaciones as $formacion => $coches){
			$SPANARRAYCRUCE[$linea][$marca][$formacion]['valor']=0;
			foreach($coches as $coche => $idrs){
				$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche]['valor']=0;
				foreach($idrs as $idr => $segmento){
					$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche][$idr]['valor']=0;
					$SPANARRAYCRUCE[$linea]['valor']++;
					$SPANARRAYCRUCE[$linea][$marca]['valor']++;			
					$SPANARRAYCRUCE[$linea][$marca][$formacion]['valor']++;			
					$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche]['valor']++;			
					$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche][$idr]['valor']++;
					$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche][$idr]['ncol']=$SPANARRAYCRUCE[$linea]['valor'];//define el lugar de la columna
					
					$ncol[$linea][$SPANARRAYCRUCE[$linea]['valor']]['marca']=$marca;
					$ncol[$linea][$SPANARRAYCRUCE[$linea]['valor']]['formacion']=$formacion;
					$ncol[$linea][$SPANARRAYCRUCE[$linea]['valor']]['coche']=$coche;
					$ncol[$linea][$SPANARRAYCRUCE[$linea]['valor']]['idr']=$idr;
					
				}
			}
		}
	}
}


foreach($ARRAYCRUCE as $linea =>$marcas){
	$a['nombre']=$linea;
	$a['numero']=$SPANARRAYCRUCE[$linea]['valor'];
	$TDA[]=$a;
	foreach($marcas as $marca =>$formaciones){
		$a['nombre']=$marca;
		$a['numero']=$SPANARRAYCRUCE[$linea][$marca]['valor'];
		$TDB[$linea][]=$a;
		foreach($formaciones as $formacion => $coches){
			$a['nombre']=$formacion;
			$a['numero']=$SPANARRAYCRUCE[$linea][$marca][$formacion]['valor'];
			$TDC[$linea][]=$a;			
			foreach($coches as $coche => $idrs){
				$a['nombre']=$coche;
				$a['numero']=$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche]['valor'];
				$TDD[$linea][]=$a;					
				
				foreach($idrs as $idr => $segmento){
					$a['nombre']=$idr;
					$a['numero']=$SPANARRAYCRUCE[$linea][$marca][$formacion][$coche][$idr]['valor'];
					$TDE[$linea][]=$a;											
				}
			}
		}
	}
}

//echo "<pre>".$ARRAYCRUCESEG."</pre>";
$revision=0;

	//medicion de rendimiento lamp
	$duraconacum = substr((microtime(true) - $starttime),0,6);
	$duration = substr((microtime(true) - $time),0,6);
	$time = microtime(true);
	$_SESSION['DEBUG']['mensajes'][]= "T arraycruce:<br> " .$duration. "s. (ac: ".$duraconacum."s.)";
	
foreach($TDA as $lineaL){
	echo "<table id='tabla".$lineaL['nombre']."'>";
		echo "<tr class='t1'>";
		echo "<th>Lnea</th>";			
		echo "<th colspan='".$lineaL['numero']."'>".$lineaL['nombre']."</th>";
		echo "</tr>";
		
		echo "<tr class='t2'>";
		echo "<th>Marca</th>";	
		foreach($TDB[$lineaL['nombre']] as $linea){
			echo "<td colspan='".$linea['numero']."'>".$linea['nombre']."</td>";		
		}
		echo "</tr>";
		
		echo "<tr class='t3'>";
		echo "<th>Formacin</th>";	
		foreach($TDC[$lineaL['nombre']] as $linea){
			echo "<td colspan='".$linea['numero']."'>".$linea['nombre']."</td>";		
		}
		echo "</tr>";
		
		echo "<tr class='t4'>";	
		echo "<th>Coche</th>";
		foreach($TDD[$lineaL['nombre']] as $linea){
			echo "<td colspan='".$linea['numero']."'>".$linea['nombre']."</td>";		
		}
		echo "</tr>";	
	
		echo "<tr class='t5'>";	
		echo "<th>Relevamiento</th>";
		foreach($TDE[$lineaL['nombre']] as $linea){
			echo "<td colspan='".$linea['numero']."'>".$linea['nombre']."</td>";		
		}
		echo "</tr>";
		
		
		foreach($ARRAYCRUCESEG[$lineaL['nombre']] as $tiposeg => $sentidos){
			
			foreach($sentidos as $sentido => $segmentos){
				
						
				ksort($ARRAYCRUCESEG[$lineaL['nombre']][$tiposeg][$sentido]);
				/*
				foreach($segmentos as $Nseg => $Aregistro){
					$aNseg[]=$Nseg;
				}
				array_multisort($aNseg, SORT_ASC, SORT_STRING,
		                $segmentos, SORT_NUMERIC, SORT_ASC);
				unset($aNseg);
				 * */
			}			
		}
			
			
		foreach($ARRAYCRUCESEG[$lineaL['nombre']] as $tiposeg => $sentidos){
							
			foreach($sentidos as $sentido => $segmentos){
				$paridad='impar';	
			foreach($segmentos as $Nseg => $Aregistro){
				if($paridad=='impar'){$paridad='par';}else{$paridad='impar';}
				
				echo "<tr class='$paridad'><td>segmento: ".$Nseg."</td>";
					$c=0;
					while($c < $lineaL['numero']){
						$c++;
						echo "<td>";		
								
						foreach($Aregistro as $regdato){
							//print_r($regdato);
							/*echo 	$ncol[$lineaL['nombre']][$c]['marca']." vs ".$reg['marca'];*/ 
								if(
									$ncol[$lineaL['nombre']][$c]['marca']==$regdato['marca'] 
									&& $ncol[$lineaL['nombre']][$c]['formacion']==$regdato['formacion']
									&& $ncol[$lineaL['nombre']][$c]['coche']==$regdato['coche']
									&& $ncol[$lineaL['nombre']][$c]['idr']==$regdato['idr']
								){
									$revision++;
									$ref=str_replace(" ","",$regdato['reg']);
									$ref=str_replace("-","_",$ref);
									$ref=str_replace("(","_",$ref);
									$ref=str_replace(")","_",$ref);
									echo "<a href='#R".$ref."'>ir</a>";
									echo " - <a href='./agrega_f.php?salida=cargadatos&salidaid=".$_GET['id']."&tabla=a&accion=cambia&tabla=REGregistros&id=".$regdato['REGregistrosid']."'>cambiar</a>";
								}
						}	
						
						echo "</td>";				
						
					}		
				echo "</tr>";
			}
			}
		}


		echo "<tr class=''><td>";
			echo "<form method='post' action='./agrega.php'>";
				echo "<input type='hidden' name='tabla' value='REGregistros'>";
				echo "<input type='hidden' name='IDR' value='".$_GET['id']."'>";
				
				
				echo"cargar nuevo segmento relevado: ";
				echo"<select name='id_p_segmentos_id_nombre'>";
					echo "<option value=''>elegir</option>";
					foreach($SEGs as $sid => $sn){
						echo "<option value='$sid'>$sid - $sn</option>";
					}
				echo "</select>";
				echo "<input type='submit' value='crear'>";
			echo "</form>";
			echo "<a href='./muestrasegmentos.php'>editar base de segmentos</a>";
			echo "</td><tr>";
	echo "</table>";
	

	?>
	<script type='text/javascript'>
		_tabla=document.getElementById('tabla<?php echo $lineaL['nombre'];?>');	
		_indice=document.getElementById('indice');	
		_indice.appendChild(_tabla); 		
	</script>
	
	<?php
}
/*
echo"<div class='recuadros ventanadesarrollo'>";
	foreach($_SESSION['DEBUG']['mensajes'] as $mensaje){
		echo "<p>";
		echo $mensaje;
		echo "</p>";
	}
echo"</div>";
	*/
echo "cruces identificados: ".$revision;


?>



	
</body>
