CREATE DATABASE  IF NOT EXISTS `ruido` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `ruido`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 192.168.0.252    Database: ruido
-- ------------------------------------------------------
-- Server version	5.5.32-0ubuntu0.12.04.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `PLAplanillas`
--

DROP TABLE IF EXISTS `PLAplanillas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PLAplanillas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_p_PLArelev_id` int(11) DEFAULT NULL,
  `IDR` varchar(45) DEFAULT NULL COMMENT 'ID de relevamiento',
  `zz_archivo` varchar(145) DEFAULT NULL COMMENT 'nombre del archivo de la planilla',
  `zz_linea` varchar(145) DEFAULT NULL COMMENT 'Linea',
  `zz_marca` varchar(145) DEFAULT NULL COMMENT 'Marca',
  `zz_formacion` varchar(145) DEFAULT NULL COMMENT 'formacion',
  `zz_ncoche` varchar(145) DEFAULT NULL COMMENT 'Numero de coche',
  `zz_fecha` date DEFAULT NULL COMMENT 'Fecha de relevamiento',
  `zz_isegmento` varchar(145) DEFAULT NULL COMMENT 'Identificador del segmento',
  `zz_nombresegmento` varchar(145) DEFAULT NULL COMMENT 'Nombre completo del segmento',
  `zz_registro de medicion` varchar(145) DEFAULT NULL COMMENT 'Registro de la medición',
  `zz_registro de grabacion` varchar(145) DEFAULT NULL COMMENT 'registro de la grabación',
  `zz_codusuarios` varchar(145) DEFAULT NULL COMMENT 'clasificación de pasajeros',
  `zz_horainicio` varchar(145) DEFAULT NULL COMMENT 'Hora de inicio',
  `zz_tiempo de registro` varchar(145) DEFAULT NULL COMMENT 'Horario de registro',
  `zz_colorcelda` varchar(145) DEFAULT NULL COMMENT 'Color de la celda',
  `zz_significado color` varchar(145) DEFAULT NULL COMMENT 'Significado del color',
  `zz_fila` varchar(145) DEFAULT NULL COMMENT 'Fila de origgen del dato',
  `zz_columna` varchar(145) DEFAULT NULL COMMENT 'COluna de origen del dato',
  `tipo_de_ruido` varchar(145) DEFAULT NULL COMMENT 'Tipo de sonido',
  `zz_tiempo total regisgistrado` varchar(145) DEFAULT NULL,
  `zz_tiempo medición a texto` varchar(145) DEFAULT NULL COMMENT 'Teimpo de inicio de la medicion TOTAL validado',
  `zz_llamadas` varchar(145) DEFAULT NULL COMMENT 'advertencias',
  `zz_LAT>80` varchar(145) DEFAULT NULL COMMENT 'sin uso',
  `zz_PEAK>110` varchar(145) DEFAULT NULL COMMENT 'sin uso',
  `zz_tiempo` varchar(145) DEFAULT NULL COMMENT 'Teimpo del sonido',
  `zz_tiempo sonido a texto` varchar(145) DEFAULT NULL COMMENT 'Teimpo del sonido validado',
  `tinicio` varchar(45) DEFAULT NULL COMMENT 'Tiempo de inicio adoptado',
  `tfin` varchar(45) DEFAULT NULL COMMENT 'tiempo de fin',
  `descartado` tinyint(1) DEFAULT NULL COMMENT 'Incidencia temporal descartada en la validación',
  `zz_borrada` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4672 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-09-05 13:33:35
