CREATE DATABASE  IF NOT EXISTS `ruido` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `ruido`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 192.168.0.252    Database: ruido
-- ------------------------------------------------------
-- Server version	5.5.32-0ubuntu0.12.04.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `REGregistrosbandas`
--

DROP TABLE IF EXISTS `REGregistrosbandas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `REGregistrosbandas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_p_REGregistros` int(11) DEFAULT NULL,
  `Date_Hour` datetime DEFAULT NULL,
  `Elapsed_T_Time` time DEFAULT NULL,
  `LZT` decimal(10,1) DEFAULT NULL,
  `LZT_Ovld` varchar(20) DEFAULT NULL,
  `LZTpeak` decimal(10,1) DEFAULT NULL,
  `LZTpeak_Ovld` varchar(20) DEFAULT NULL,
  `LCT` decimal(10,1) DEFAULT NULL,
  `LCT_Ovld` varchar(20) DEFAULT NULL,
  `LCTpeak` decimal(10,1) DEFAULT NULL,
  `LCTpeak_Ovld` varchar(20) DEFAULT NULL,
  `LAT` decimal(10,1) DEFAULT NULL,
  `LAT_Ovld` varchar(20) DEFAULT NULL,
  `LATpeak` decimal(10,1) DEFAULT NULL,
  `LATpeak_Ovld` varchar(20) DEFAULT NULL,
  `L1_A` decimal(10,1) DEFAULT NULL,
  `L5_A` decimal(10,1) DEFAULT NULL,
  `L10_A` decimal(10,1) DEFAULT NULL,
  `L50_A` decimal(10,1) DEFAULT NULL,
  `L90_A` decimal(10,1) DEFAULT NULL,
  `L95_A` decimal(10,1) DEFAULT NULL,
  `L99_A` decimal(10,1) DEFAULT NULL,
  `L1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L1/1o31,5_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L5_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L10_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L50_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L90_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L95_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L99_1/1o31,5` decimal(10,1) DEFAULT NULL,
  `L1/1o63` decimal(10,1) DEFAULT NULL,
  `L1/1o63_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o63` decimal(10,1) DEFAULT NULL,
  `L5_1/1o63` decimal(10,1) DEFAULT NULL,
  `L10_1/1o63` decimal(10,1) DEFAULT NULL,
  `L50_1/1o63` decimal(10,1) DEFAULT NULL,
  `L90_1/1o63` decimal(10,1) DEFAULT NULL,
  `L95_1/1o63` decimal(10,1) DEFAULT NULL,
  `L99_1/1o63` decimal(10,1) DEFAULT NULL,
  `L1/1o125` decimal(10,1) DEFAULT NULL,
  `L1/1o125_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o125` decimal(10,1) DEFAULT NULL,
  `L5_1/1o125` decimal(10,1) DEFAULT NULL,
  `L10_1/1o125` decimal(10,1) DEFAULT NULL,
  `L50_1/1o125` decimal(10,1) DEFAULT NULL,
  `L90_1/1o125` decimal(10,1) DEFAULT NULL,
  `L95_1/1o125` decimal(10,1) DEFAULT NULL,
  `L99_1/1o125` decimal(10,1) DEFAULT NULL,
  `L1/1o250` decimal(10,1) DEFAULT NULL,
  `L1/1o250_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o250` decimal(10,1) DEFAULT NULL,
  `L5_1/1o250` decimal(10,1) DEFAULT NULL,
  `L10_1/1o250` decimal(10,1) DEFAULT NULL,
  `L50_1/1o250` decimal(10,1) DEFAULT NULL,
  `L90_1/1o250` decimal(10,1) DEFAULT NULL,
  `L95_1/1o250` decimal(10,1) DEFAULT NULL,
  `L99_1/1o250` decimal(10,1) DEFAULT NULL,
  `L1/1o500` decimal(10,1) DEFAULT NULL,
  `L1/1o500_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o500` decimal(10,1) DEFAULT NULL,
  `L5_1/1o500` decimal(10,1) DEFAULT NULL,
  `L10_1/1o500` decimal(10,1) DEFAULT NULL,
  `L50_1/1o500` decimal(10,1) DEFAULT NULL,
  `L90_1/1o500` decimal(10,1) DEFAULT NULL,
  `L95_1/1o500` decimal(10,1) DEFAULT NULL,
  `L99_1/1o500` decimal(10,1) DEFAULT NULL,
  `L1/1o1k` decimal(10,1) DEFAULT NULL,
  `L1/1o1k_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L5_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L10_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L50_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L90_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L95_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L99_1/1o1k` decimal(10,1) DEFAULT NULL,
  `L1/1o2k` decimal(10,1) DEFAULT NULL,
  `L1/1o2k_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L5_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L10_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L50_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L90_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L95_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L99_1/1o2k` decimal(10,1) DEFAULT NULL,
  `L1/1o4k` decimal(10,1) DEFAULT NULL,
  `L1/1o4k_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L5_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L10_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L50_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L90_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L95_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L99_1/1o4k` decimal(10,1) DEFAULT NULL,
  `L1/1o8k` decimal(10,1) DEFAULT NULL,
  `L1/1o8k_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L5_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L10_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L50_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L90_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L95_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L99_1/1o8k` decimal(10,1) DEFAULT NULL,
  `L1/1o16k` decimal(10,1) DEFAULT NULL,
  `L1/1o16k_Ovld` varchar(20) DEFAULT NULL,
  `L1_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L5_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L10_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L50_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L90_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L95_1/1o16k` decimal(10,1) DEFAULT NULL,
  `L99_1/1o16k` decimal(10,1) DEFAULT NULL,
  `zz_borrada` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=128046 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-09-05 13:33:35
